Name:           ifp-gnome
Version:        0.7
Release:        1%{?dist}
Summary:        Manages Files on iRiver iFP-XXX Flash Music Devices
Group:          Applications/Multimedia
License:        GPLv2
URL:            http://ifp-gnome.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        ifp-gnome.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       pyifp


%description
iFP-Gnome is a GNOME front-end for managing files on your iRiver
flash-based MP3/Ogg player. The goal of this project is to provide
a usable, useful utility for the GNOME desktop which works with all
models of iRiver flash players.


%prep
%setup -q -n %{name}
sed -i -e 's|gladefile=.*$|gladefile="%{_datadir}/%{name}/%{name}.glade"|' %{name}.py
sed -i -e "s|set_icon_from_file[(]'ifp-gnome\\.png'[)]|set_icon_from_file('%{_datadir}/pixmaps/%{name}.png')|" %{name}.py


%build
# Pure-python app, no library component -- nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 ifp-gnome.py $RPM_BUILD_ROOT%{_bindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 ifp-gnome.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 ifp-gnome.glade $RPM_BUILD_ROOT%{_datadir}/%{name}/

desktop-file-install --vendor="fedora" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}


%changelog
* Fri Dec 12 2008 Conrad Meyer <konrad@tylerc.org> - 0.7-1
- Initial package.
